require "oj"

begin
  require "ox"
rescue NameError => e
  spec = Gem::Specification.stubs.find { |s| s.name == 'ox' }
  raise e unless spec
  require File.join(spec.gem_dir, "lib/ox")
end

require "aws-sdk-core"
require 'dogapi'
require "erb"
require "json"
require "thor"
require "zlib"
require "securerandom"

require "terraformer/version"
require "terraformer/terraform"
require "terraformer/templating"
require "terraformer/user_input"
require "terraformer/normalizer"

require "terraformer/cli"
require "terraformer/credentials/aws"
require "terraformer/credentials/datadog"
require "terraformer/resource/cloud_watch_alarm"
require "terraformer/resource/datadog_monitor"
